

                     Ezycom Software Development Team

                               Presents

                             Ezycom V1.10

              This file lists all enhancements to Ezycom
                 since the release of Ezycom V1.02.

         ****************************************************************

         For first time users of Ezycom, please read the manual on
         how to install Ezycom

         ****************************************************************


         Before doing ANYTHING, you should BACKUP your entire
         Ezycom system, as MANY changes to files are necessary.

         ****************************************************************

         To upgrade from Ezycom V1.02, follow these steps.

         Extract 102to110.arj with "arj e 102to110"

         Extract Ezycom V1.10 over the top of your old
         system V1.02.xx, and run 102to110.  You should expect
         the conversion to take anywhere from 10 minutes to
         hours.  It totally depends on the system.  Many things
         have changed in this release.  Since the demands on Ezycom
         has improved greatly, it has been necessary to make
         it only work with 286 or above systems.

         After conversion, you are then required to
         1) Run CONFIG for EVERY node
         2) Run EZYNODE if you are in a mail network
         3) Setup your Modem Configuration again for each node
         4) Setup your Limits Configuration

         ****************************************************************

         To upgrade from Ezycom V1.10g0, g1, g2 or g3, extract Ezycom V1.10
         over the top of the old one.

         Extract GXTO110.ARJ

         Run Config for every node
         Run UPDLANG
         Run EzyNode

         You may need to...
         Setup your Modem Configuration again for each node
         Setup your Limits Configuration

         ****************************************************************

Features added since Ezycom 1.10g3
     o  added "not enough security" support to batching
     o  made config setup RAR compression options, if not already set
     o  made the download part of ezycom recognize the language file
     o  widened the view of text files in fedit
     o  implemented maximum cd copying field in config->files_misc
        when ezycom is copying the files to hd from the cd, if the files
        go over this amount, it will not copy the files to HD, and they
        will not be downloaded... they will remain in the batch for
        another download after that one.
        making the value 0, allows infinite size of batch from CD
        if a single file being downloaded from CD goes over the amount
        in K, then it allows this file to be downloaded (or else the user
        would NEVER be able to get the file)
     o  ezycom now takes into account colour codes for margins when
        displaying colour descriptions online
     o  added templating to auto creation of message areas
        go into config->new echo areas to configure the template board
        a value of 0, means do not use any board as a template
     o  added 63k messages to DPMI EzyMail (EzyMailX)
     o  you can now edit users in standard FEdit (Ctrl-S)
     o  added Security to FEdit
        -S<security level>
        The security level stops the user of edit, looking at
        areas with higher security than that level, and editing
        users with an equal or higher security than that level.
        For the best security, do not use the -S switch.
        If the top security is not being used, the users password
        will be shown as *****.
     o  Added a new switch to EzyAdopt
        -COMMENT    Will force EzyAdopt to use comments as part of the
                    description for files in a FILES.BBS
        eg:
        1234.ZIP     1234 is a very worth while
                     program, that will excite everyone
        567.ARJ      this is another program

        1234.ZIPs comment would be "1234 is a very worth while program,
        that will excite everyone"

        By default, Ezycom will still use "|".
     o  Added viewing of archives with paths inside in FEdit
     o  you configure your own file display lines
        these codes represent special display information
        #f      Filename             12 characters
        #k      Filesize in K         4 characters
        #b      Filesize in Bytes     7 characters
        #t      Time to download      3 characters
        #a      Arrival Date          8 characters
        #d      Date                  8 characters
        #n      New File              1 character
        #p      File Points           x characters
        #s      Security              1 character
        #u      Uploader              x characters
        #c      Download count        x characters
        #r      Carriage Return       New Line
        #l      Description

        In Config->Files List, you can configure how one or multiple
        lines of each file that is displayed on your system

        Pipe Colour codes can be used to change the colour within
        the file display

        The right hand field represents the number of characters it
        takes up on a display line.  The "x characters" means that it
        is definable in Config.

        If you wish to display anything after #l (description), then
        a #r should IMMEDIATELY follow.  This is due to the possibility,
        of the description ending on the 79th character.

  *  o  added local/netmail file attaches
        turn it on for local file attaches in config->messages
        a minimum security level for local file attaches has been
        added in messages->security (this is the minimum security
        level required to make a local file attach (not receive it))
        (Registered Versions Only)
  *  o  while reading messages, 'G'et gets the local/netmail file attaches
        (Registered Versions Only)
     o  the actual file attaches can be mangled using the 'E'dit function
  *  o  when msgcomp actually physically deletes a message, it now checks
        to see if the message had a file attach with it, and will delete
        all the files with the file attach
        (Registered Versions Only)
  *  o  add call termination batch history
        when a user logs off (by any method), any remaining files left
        in the download batch are stored in DNBATCH.BBS
        when the user logs on again, they are asked if they wish to
        reload in their batch from previous calls.  If they select YES,
        then it will be placed in their download batch (ratios, time,
        kilobytes, etc permitting).
        To turn it on, goto Config->Files->FilesMisc
        (Registered Versions Only)
     o  added a new switch to ezyutil...
        EZYUTIL -BATCHOLD<days to keep>
        This will purge files in the batch history over xx days old.
        This can be run WHILE users are online

        eg: EZYUTIL -BATCHOLD3

        This will purge files over 3 days old from the batch history.

        It is recommended that you run this at least once a week, to
        keep the batch history in trim.  As you can imagine, it could
        build up quite a bit if you do not.

        DNBATCH.BBS uses a linked list style file, so that EzyUtil
        'frees' slots, and they are used for new batch history.  So,
        the file never shrinks in size.  But, after using it for a week,
        the file should hardly ever grow in size.
        (Registered Versions Only)
     o  added a switch to MSGCOMP
           -FASTMAIL
        It makes ezycom's mail check much faster.  However, if new users
        logon, and there is mail for them from echomail conferences, it
        will not pick it up in the new mail check, until the next msgcomp
        is run.
     o  the user to user chat now only sends the messages to the other
        users in the conference when the user presses enter



Features added since Ezycom 1.10g2
     o  Added File_ID.CLR support to EzyAdopt.  If that file exists and
        colour in file areas is on, then that file will be extracted
        instead of File_ID.DIZ
     o  Added support for DESC.SDI descriptions to EzyAdopt.  If there is
        no file_id.diz, it will look for desc.sdi.
     o  if you have colour in file areas turned on, then ezycom will not
        show the colour codes in ezymast and the online master list
        generators any more
     o  fedit now will allow you to display any file your own way (even
        inside of archives!), by making a FED<extension>.BAT in your
        ezycom directory.  If, you go to view a file with the extension,
        and an FED<extension>.BAT exists, it will use that to view the
        file, instead of the inbuilt browser.
     o  when sending messages to other users online notifying them of
        the message just posted, it now takes alias's into consideration
     o  fedit now correctly formats a description before editing it
     o  added online+offline options to the menu
     o  implemented the rename option in fedit (ctrl-N)
     o  implemented edit file details (Enter)
        it allows you to edit the following details
           Downloads, Arrival Date, Download Date, Private, Checked,
           Offline, NoKill and Uploader
     o  added a switch in config->net-Misc->Number dupes
        you can now have upto 65000 dupe table for ezymail,
        if you have the memory for it
     o  changed the protocol engine around
     o  Ezycom can now handle network name drives for CD Drives
        to allow more than 26 different drives
        eg: \\PETER\SYS\MYDIR
     o  implemented CD file copying system
        files are copied to a temp directory off the temp directory for
        each node before any PE is invoked.  Before a file is copied,
        there MUST be 1meg plus the filesize for it to be copied.  Otherwise,
        it will not be copied, and the download will happen off of the cd.
        If, more than 1 file of the same name are downloaded in the same batch,
        then the first file will be copied, and all subsequent files will be
        downloaded directly off of the cd.
        queuing can be implemented by placing a cd rom stack number in the
        file path section of config, with a value greater than 0.  If, a
        file is already being accessed with that queue, then other lines
        will queue for the cd.

        To enable cd copying, turn it on in Config->File Misc
     o  added a couple of switches to ezyutil -makefileareas

        [-R<Replace Drive with Path>]
        Allows you to put in a different drive, or a network path into
        the actual config instead of the -D<hard disk>

        [-T<template area>]
        Optionally uses the file area and file path at this number as
        a template for the rest of the areas to be added

        eg: ezyutil -makefileareas -a401 -DD: -LFILES.BBS -RE: -T1
        This will search drive D for paths with files.bbs in them
        and add them to the file area and file paths sections of config
        It will use the File Area and File Path area number 1 as a template
        to make the areas off.
        The paths placed in config will have an E: instead of D:, because
        the -R switch was used

     o  added ezyutil -fileheaders -A<start area> -L<filename>
        This option will read a text file of area names, and place them
        in the file areas name.

        The text file should just list the names of the areas
        eg:
        Ezycom Utilities
        Ezycom Release Files
        etc

        eg: ezyutil -fileheaders -a401 -Ldirs.txt
     o  in ezyfile, if the file in a file list has no path, then the
        fast find index is checked to find where the file exists
        in -update -delnopath -delpath -offline
     o  stopped allowing the 'P' key in the menu upload command
     o  added a /F=<fido address> to menu option 27 (post message)
        This allows you to force the destination fidonet address
   * o  Added switch to force local uploads from a: or b: only
        It can be configured in Config->Files Misc
        (Registered Versions Only)


Features added since Ezycom 1.10g1
     o  added full 28k connection responses.. ezycom now uses a file
        called modem.ezy to hold the configuration for each modem
        so it is now possible to have modem configuration for each
        modem, but only have one config.ezy
        eg: Modem.1 Modem.2, etc

        Multiline users will most likely have to make the modem.1, etc
        To make one, copy modem.ezy to modem.1, modem.2, etc
        Then run config for each node

        Due to the amount of change of modem configuration, it is
        necessary to reconfigure your modem setup.  Also, notice that
        in the limits section of config, the new baud rates will have
        NO daily Ks against it.  You should configure it for each
        security level.

     o  added FEdit stats window
     o  when a user logs on and fails the password attempts and they
        post a message to the sysop, if the message board uses aliases,
        then the sysop's alias will be used instead of his/her real name
     o  when you place a /T=SYSOP on the data line of posting a message,
        it will now use the sysop real name/alias depending on wether
        the message board uses aliases or not
     o  added display file in archive in FEdit.. Just press enter
        while viewing the archive and it will display the current file
     o  added Binkley Poll feature to EzyNet
        Format: EzyNet -POLL -U<5D Address>
        eg:     EzyNet -POLL -U3:633/152@fidonet
        This will create a Crash Mail FLO file, so that the system is
        called by Binkley

Features added since Ezycom V1.10g0
     o  made ezycom detect os/2 before desqview in case you are running
        os/2 speed, which made ezycom detect dv
     o  added gender question to newuser login.. all old users
        are assumed to be male, so you will have to edit the female
        users with the user editor (when available)
     o  if a user is online, and another user online posts him/her
        a message, then an online message will be sent to him/her telling
        him/her of the message
     o  alt-d in file areas config now removes the file area lists
     o  added a "nosound" period after sounding each tone in the paging
     o  added ctrl-v to fedit to view file contents
     o  alt-d in file areas config now removes the file area lists
     o  ezymail & ezypack now place the mail bundles in the binkley
        outbound directory for binkley style mail
     o  added RAR archiver support
     o  FEdit now takes advantage of 43/50 line modes.



Features added since Ezycom V1.02

     o  If a line does not have a user on at the present time,
        a message can be displayed to users selecting the "who's
        online" feature for that line.  The message might contain
        something like "Call 578-0968 for V32bis!".  The message
        can be configured by making a 1 line textfile (maximum 70
        characters wide) in your ezycom system directory.  The
        textfile should be called "NODEINFO.<node>".  Where <node>
        is the node number for that message to be displayed.  If, the
        file is not present, nothing will be displayed for that node
        as per usual.
     o  added NOTIFY feature to EzyNet
        Format: EzyNet -LIST -U<address to list>
        The address should be a full 5 dimensional address.  That is, it
        should include the domain, IF you have setup your nodes in the
        node manager with DOMAINs (more on that later).
        eg: EzyNet -LIST -U3:633/374@fidonet
        The notify function will send out
        Help, List of Linked conferences, List of Unlinked conferences,
        and a list of all conferences.
     o  in the config, the network akas have had the domain attached to
        the same option.
        For Ezycom 5D support to work correctly, the domains must be
        configured.
     o  in config, you can now place a DIRECT flag for each individual
        node in the node manager.
     o  you can now add the domain of a nodelist in the ezynode control
        file.
        Format:  LIST <nodelist file> [optional zones] [@domain]
        Format: PLIST <nodelist file> <zone> [@domain]
        Eg: LIST NODELIST.* @fidonet
        For ezycom 5D mail to work correctly, this must be setup!
     o  you can now toggle flags with Menu Type 87.
        Data Format: <flag><flagpos><status>

        <status> can be:   "-" to turn it off
                           "+" to turn it on
                           "*" to toggle it

        eg: "A8* A7+ A6-"
     o  added a "redirect field" in the node manager.
        what it does is allow you to PACK mail for one of your exports
        to another address.  This would be useful, if you had a node
        off of you in 2 networks.  Say, in fidonet, and in ezynet.
        Instead of having two outbound mail bundles (for each address),
        you can simply have one, by redirecting one of them to the other
        address.  This can be used to GREATLY simplify your routing.
     o  A new option exists in config>messages>misc>real_name_kludge
        Basically, if a user posts a message with an alias, whether that
        be their alias, or a selected one.  Ezycom will place a REALNAME
        kludge line (if turned on) in the message text.  This will also
        be exported through FTN networks in echomail and netmail.
     o  change to area with new mail, now displays the number of
        messages unread in each area.  if the messages unread is
        greater than or equal to 1000, then  '***' is displayed instead
        of the number due to lack of space in 80 columns
     o  your maximum age can now be 91 years old.  checking is
        now done on the new user date of birth
     o  ezycom now writes MSGDLTD.BBS when a message is deleted
     o  menu type 88 implemented.  it allows the users to reset
        their lastread pointers to the beginning or end of the message
        base (global)
     o  added a forward to field in ezyed page 2...
     o  single erase now does not require the "-"
        to remove a file by number... ie -1 1 etc
        note: ranges are not permitted.
     o  on menu type 67 (change to area with unread mail), if you
        place a /NEWMAIL on the "data" line, then only conferences
        with new mail in them, will be shown to you.
     o  ezypack now handles messages with no INTL line.  If, it
        has a MSGID line, it will use the Zone from that, otherwise
        it will ignore the message as before.
     o  ezynet now checks the message area on importing netmail.
        if the message area is private, it will mark the message
        private on import.
     o  A new switch has been added to EzyMail.
        -FULLCHECK.  Normally, when you only have one node to export
        echomail to in a conference, EzyMail will not bother checking
        to see where the mail came from, it will just assume, it was
        that node.  This forces EzyMail to check that.  The reason the
        switch has been implemented, is for utilities which produce
        .PKTs for importing, but without having an export for them.  Thus,
        EzyMail would never export mail to an uplink, if you had no other
        nodes off of you for that conference.
        Eg: EZYMAIL -Toss -FullCheck
     o  the file areas have 3 new options
           - show in new files check
           - minimum age to access file list
           - whether to ask for descriptions after the upload or not
     o  now any search for the 'SYSOP' name, is ALWAYS remapped to
        the sysops name.
     o  ezymail now readdresses netmail to sysop, to the
        actual sysops name.
     o  setsecurity in the q-a language, will now immediately
        stop the questionnaire and lockout the user if the security
        is set to 0. ie SETSECURITY 0
     o  msgcomp now checks the whofrom, whoto and subject fields for
        'correct lengths' and if it fails, then the message will be
        deleted.
     o  2 switches had to be changed in ezynet due to clashes.
        -nozonegate now -zonegateno
        -nousers now -usersno
     o  all the mail utils (msgcomp, ezymail, ezynet, etc) will delete
        EZYMSG.NOW if it is more than 5 hours old.   That is, something
        probably happened, and the file was not erased.  So, the mail
        utils will start working again after 5 hours.
     o  there is now a one second delay when logging off, to allow the
        modem buffer to clear.
     o  in global read new, it now does not say "end of messages in..."
     o  a switch has been added to EZYMAIL. -STOPFORWARD.  It stops ezymail
        from tossing mail to other nodes.
     o  EzyPack now does a nodelist lookup if there are no INTL or MSGID
        kludge lines to find the zone, for netmail packing.
     o  Added Binkley support to EzyMail/EzyPack.  You can turn it on
        in message->Net_Misc.  You can set it to 4D or 5D support.
        The Outbound Dir can be configured in config->paths->binkley path
     o  ezycom now checks for novell netware, before the double dos
        test, so that it will not report Double Dos under a novell shell
  *  o  added menu type 89... display rumour
        what it does is goes through your rumours file, and displays
        one of them randomly.. ideally this would be a automatic option
        used after your type 40 ansi display... it will allow users
        to make up a 1 line comment, and have it displayed on the bottom
        of any menu you desire...
        Rumours can be used to allow users to make comments about
        anything, and have them flash up at the bottom of menus
        randomly.  They can also be used to display 'one liners' from
        importing a text file of many quotes.  Rumours can literally
        take a plain ordinary bbs into an exciting bbs...
        (Registered Versions Only)
  *  o  added menu type 90... add rumour
        this option actually allows a user to add a rumour to the file
        it is 1 line of text max!  certain colour codes can be used.. they
        can be used by 1 or both of the following methods

        Method  Colour
         1  2

        |b |01  Blue
        |g |02  Green
        |c |03  Cyan
        |r |04  Red
        |m |05  Magenta
        |p |05  Magenta (Purple)
        |y |06  Brown
        |w |07  Light Gray
        |B |09  Light Blue
        |G |10  Light Green
        |C |11  Light Cyan
        |R |12  Light Red
        |M |13  Light Magenta
        |P |13  Light Magenta (Light Purple)
        |Y |14  Yellow
        |W |15  White

        lower case means dull, upper means light.. an example might be

        |01P|02e|03t|04e|05r|06 D|07a|09v|10i|11e|12s

        or

        |bP|ge|ct|re|mr|y D|wa|Bv|Gi|Ce|Rs


        "Peter Davies" that is, but with colours.
        (Registered Versions Only)
  *  o  Added menu type 92
        List rumours
        lists all the rumours in the rumours file

        an option /SHOWUSERNAMES in the data line can be used to
        display the user names of users that wrote the users as well

        this could typically be used by the sysop
        (registered version ONLY!)
  *  o  Added menu type 91
        Delete Rumour
        This option allows a user to delete a rumour that the user
        has entered.
        An option /DELETEANY on the data line, allows the user to
        delete any rumour... this would be used by sysops normally.
        (Registered version ONLY!)
     o  a new questionnaire command
        UNDERSCORE <varnum>
        It will replace any spaces in the <varnum> variable with underscores
        It's main use, is with MENUCMND, where some options require underscore
        to mean spaces, to be used in conjunction with %<varnum>%.
        eg

        UNDERSCORE 1
        UNDERSCORE 25
     o  Option 54 (Send message to another user), now has an automatic mode
        on it.
        Data Format: [/N=<node> /M=<message>]
        Both must be present for it to work.
        /N=<node>    specifies where you want the message to be sent
        /M=<message> specifies the content of the message to send
        The message should use underscores to represent spaces.
        If the node is not online, then no errors will be popped up.  It
        will be as if, it did not try and send the message.  This could
        be used to indicate to other users that someone has logged on this
        line for instance.
     o  A new program has been written called EZYADOPT
        It is a File Description adopting program for Ezycom V1.10.
        It basically adds to your filebase, any files that exist in
        the directories on your HD, that are not in your file base.
        (Of course, you must have setup your file areas and paths
         correctly first of all).
        By default, it does not search your CD Rom drives for the files.
        There are a few switches for the utility

        EZYADOPT [-CDROM] [-FILEID] [-IGNORECR] [-DESC<pos>] [-FROM<file path>] [-TO<to file path>]

        To adopt files in CD Rom areas, you MUST specify the -CDROM
        switch on the command line.

        To use descriptions out of FILE_ID.DIZ, use the -FILEID switch,
        and any new files to be adopted with FILE_ID.DIZ, will have
        their descriptions used.  In some FILE_ID.DIZ descriptions,
        the standard importation of the descriptions, looks weird, as
        by default, it takes notice of carraige returns.  You can disable
        this feature, by using the -IGNORECR switch on the command line.

        If there is no FILE_ID.DIZ, it will use descriptions in the
        FILES.BBS (as per usual).  If there is no description in the
        FILES.BBS for that file path, and it is a GIF file, it will
        make the description the dimensions of the GIF file.

        In some FILES.BBSs, they have dates, file sizes, download counts,
        etc.  Using the -DESC<pos>, you can tell EzyAdopt where to start
        importing the descriptions from.  Eg: EZYADOPT -DESC14
        This would tell EzyAdopt to start importing descriptions from
        position 14.  If, no -DESC is used on the command line, then
        EzyAdopt import descriptions from the first space after the filename
        in the FILES.BBS.

        EzyAdopt can also import descriptions that are on multiple lines
        of Files.BBSs, but the second, third lines etc, must start with
        a pipe, to tell EzyAdopt it is a part of the description.

        Eg:

        NEWFILE.ARJ    123123  10-10-94  This is a new program, that
                                       | will be very popular with your
                                       | users

        By default, EZYADOPT scans all file paths (except for CD Rom
        paths).  You can specify a particular file path for it to scan
        by using -FROM<file path number>.  Eg: EzyAdopt -FROM10
        (Note: If this is a CD Rom area, it will not scan it, as the
         -CDROM switch is not on the command line.  EzyAdopt -FROM10 -CDROM
         would be the correct command for a CDRom Path)
        It is also possible to specify a range of files paths.  If paths
        20 to 30 needed to be scanned for adopting, the -FROM switch and
        -TO switch would be used.  Eg: EzyAdopt -FROM20 -TO30

        The main reason this program was written, was for adopting new
        files for a new system, easily and quickly.  Another usage,
        could be for your TICK processors.  We're sure you'll find many
        other uses for this utility.  A full description of this program
        is contained in the Ezycom V1.10 manual.  See that for a more
        fuller explanation.

        Do not forget that the file path MUST allow adopting of files,
        for EzyAdopt to adopt files for that filepath.
        This can be configured in Config->FilePaths

  *  o  A new questionnaire command to change the users remaining time
        SETTIME +|-|= <#<var num>>|<time>
        You can change the users remaing time by increasing, decreasing
        or just setting it to a value.  The value, can either be a
        literal (you put in it the q-a eg: 50) or a questionnaire variable.
        Some examples are:
        SETTIME +50      (increases time by 50 minutes)
        SETTIME -25      (decreases time by 25 minutes)
        SETTIME =10      (sets time to 10 minutes)
        SETTIME +#25     (increases time by the value in variable 25)
        SETTIME -#20     (decreases time by the value in variable 20)
        SETTIME =#15     (sets time to the value in variable 15)

        Event time left is taken into account, so a user can not go past
        an event.
        (Registered Versions Only)
  *  o  added a new questionnaire command

        Format:  SETFP +|-|= <#<var num>>|<file points>
        Eg:      SETFP = 10

        This works exactly the same way as SETTIME, but works on file points
        instead of time left.
        (Registered Versions Only)
     o  While making up QWK Mail, if the user presses ESCAPE, then it will
        stop making up any NEW mail, and allow the user to download what
        Mail has already been processed.
        if carrier is dropped while making mail, it will now stop making
        up mail, and exit.
     o  A new smart code has been added Ctrl-F)
        This code displays either ON or OFF depending on whether RIP
        was detected or not.
     o  internal bimodem support has been removed, as there are now
        quite a few bi-directional protocols that do not require
        direct support
     o  added Packet Passwords for Echomail bundles.  Your
        uplink/downlinks can now decide on a password to use
        for your packets.  This adds another degree of security
        to your mail system.  This can be configured in the node
        manager for each node.  If, your password is left blank,
        then all Packet Passwords on inbound mail from that node
        are ignored.
     o  added 2D echomail security option.  When receiving echomail
        from 2D mail systems, you could not place security on the
        message areas the 2D system received.  You can now
        allow 2D Security for those 2D systems in the node manager.
     o  you can now configure domains for systems in your node manager.
        For Ezycom 5D support to work correctly, you must setup these
        domains.
     o  if ezymail is making up a mail bundle queue for Binkley, and
        it finds a Busy file (meaning the mailer is in a mail session),
        and the file is greater than 5 hours old, it will remove the
        busy file.
     o  in the protocol configuration, if a "*" is used instead of
        "@" for download ctrl, it will enable EZYPROTs CD Rom handling
        (copying files on the cd rom to the hd before download)
     o  EZYUTIL now has a new option
        Format: EzyUtil -SORTMESS [-BYGROUP] [-BYTAG] [-BYAGROUP] [-FROM<msgboard>] [-TO<msgboard>]
        It will sort the message areas.
        By default, it will sort by Message Area Name, but if you specify
        the -BYGROUP switch, it will sort by message area group, then by
        name.
        If you use -BYTAG, it sorts by message area tag (echomail tag)
        instead of message area name.
        If you use -BYAGROUP, it sorts by the echoarea group, then
        either the message area name or message area tag.
        By default, it will sort from message board 1, through to your
        maximum usable message boards.
        Using the -FROM switch, you can change where it starts sorting
        from.
        Using the -TO switch, you can change where it sorts to.
        While sorting it will update
           the messages in the message areas
           the netmail boards, and other msg boards configured in config
           combined information for each user
           lastread information for each user
        It will NOT update
           Batch files which use specific message boards, such as
              EZYUTIL -IMPORT -A1
           Menus (.MNUs), which have a specific reference to message
              boards
        Before using the -SORTMESS switch, if in a Fidonet style network
        you should run
              EZYMAIL -SCAN
              MSGCOMP -LINK
     o  The -FILESBBS switch has been removed from EZYUTIL.  A new
        program EZYADOPT has replaced it and a few other things.
     o  EzyUtil has a new switch
        Format: EzyUtil -STRIPMSG -L<filename> [-A<area>]
        It allows you to specify certain text to find in messages areas,
        that will cause the deletion of the messages from your message
        base.
        -L<filename> specifies a text file.  The format is described
                     below.
        Each string to search is placed on a new line of text.
        Each string should be preceeded by one character.  The search
        type.
        "S" means search the subject for the following text.
        "F" means search the from field for the following text.
        "T" means search the to field for the following text.
        "B" means search the from & to field for the following text.
        Eg:
        STest
        TThe Sysop
        FIdiot
        BStupid

        The search is non case sensitive, and the text only has to be
        a sub string of the subject, who from, etc.  Spaces should NOT
        be underlined.

        [-A<area>] is an optional field.  If used, it tells the message
        stripper to only search that message area.  By default, it searches
        all message areas.
     o  when replying via netmail, if ezycom can not determine the
        destination of the message, it will ask the user for the
        netmail address.
     o  new questionnaire command
        SETDELETED <ON|OFF|TOGGLE>
        this sets the users deleted flag.  If set to ON, it does NOT
        log off the user.  But, if the user logs off while their flag
        is deleted, they will have to logon as a newuser next time they
        logon.  And the deleted account will be purged next run of
        usercomp.
     o  added a new feature to EzyUtil to delete rumours after
        xxx days after they have been made.
        Format:  EZYUTIL -RUMOUROLD<days to keep rumours>

        Eg: EZYUTIL -RUMOUROLD10
        Would delete rumours older than 10 days
     o  added a new feature to EzyUtil to add rumours from a text file.
        Format: EZYUTIL -RUMOURADD -L<text file>
        eg: EZYUTIL -RUMOURADD -Lrumour.lst

        The text file should contain one line rumours, no longer than
        79 characters long.

     o  in the questionnaire language, you can now test variables against
        variables, by placing a # in front of the second variable
        Format:  IF <Var Num> = #<Var Num>
        Eg: IF 10 = #11
               ....
            ENDIF
        That test is saying, if variable 10 is equal to variable 11
        do something
     o  in the questionnaire language, you can now test numeric variables
        against variables, by placing a ^ in front of the second variable
        Format:  IF <Var Num> = ^<Var Num>
        Eg: IF 10 = ^11
               ....
            ENDIF
        That test is saying, if variable 10 is equal to variable 11
        do something
     o  Added RIP Support
        In Config->Logon you can configure whether Ezycom should
        auto detect RIP presence (if you do not, the users will not
        be able to receive RIP graphics)
     o  select compression method now has 7 switches on it...
        /arj /zoo /pak /arc /zoo /sqz /lzh
        you have to use them to select which formats you have
        if none are specified, all are assumed!
        default is the first method selected.. normally ZIP
  *  o  Added a new questionnaire command ASSIGN
        Assign allows you to do addition, multiplication, subtraction
        and division to a variable.
        Syntax:  ASSIGN <var num> = #<var num>|<value> [+|-|*|/ #<var num>|<value>] ...
        Eg: ASSIGN 3 = #5     (assigns variable 3 with the value of
                               variable 5)
            ASSIGN 3 = 5      (assigns variable 3 with the value of 5)
            ASSIGN 3 = 5 * 3  (assigns variable 3 with the value of 15)
            ASSIGN 3 = 5 * 3 + 5 - 2  (assigns var 3 with the value of 18)
        Order of predence (how it evaluates it), is left to right.
        Exactly the same as normal calculators.  You can NOT use
        brackets to order.  Use multiple ASSIGN statements to do the
        same thing.
        (Regestered Versions Only)
     o  Added 2 new questionnaire commands to display information
        DISPLAYCOM & DISPLAYLOC
        They are exactly the same as DISPLAY in syntax, except that
        DISPLAYCOM will only display to the remote system (if there
        is one)
        DISPLAYLOC will only display to the local system
     o  The new naming convention for the headers of file areas, is
        FLxxxxx.ASC.  Where xxxxx is the file area number.
        eg: FL00001.ASC
     o  Added a new option to EzyUtil to find a certain filename on
        cdroms/hds and add that path to the filearea/filepath config.
        Format: EZYUTIL -MAKEFILEAREAS -L<filename to find> -A<areaum>
                        -D<hard disk>
        Eg: EZYUTIL -MAKEFILEAREAS -LFILES.BBS -A100 -DD:
        This will search for FILES.BBS all over D:, and any directories
        where it finds FILES.BBS will be added to the File Areas and
        File Paths part of Config, starting at file area/path 100.
  *  o  Added a new questionnaire command to test the presence of
        a file on the hard disk or cd rom.
        IF EXIST <filename>
           ...
        ENDIF
        eg: IF EXIST c:\autoexec.bat
               SETFLAG A1 ON
            ELSE
               SETFLAG A1 OFF
            ENDIF
        This could be used to turn on/off the viewing of file areas,
        if you are rotating cd roms for instance.  The questionnaire
        in this case, would be setup to run at the start of each
        Ezycom logon.  Wildcards are valid for the filename.
        (Registered Versions Only)
     o  Added Binkley Term Rescanning to EzyNet, EzyMail and EzyPack.
        You MUST have the BINKLEY environment variable SET, and your
        flags directory must be sitting off your Binkley Outbound
        Directory, and called FLAGS... Eg: C:\EZY\FLAGS.  Ezycom will
        create BTRESCAN.xx for every node.
     o  Added a clear screen to listing of rumours.
     o  When download QWK Mail from Netmail areas, it now adds a
        "From: <network address>" as the first line of text, to make
        it easier for users to reply to QWK Netmail.
     o  When scanning for new mail, you can now select to mark new
        mail as read
     o  You can now select whether or not messages that users post should
        be sent back to themselves in QWK Mail.  This can be configured
        in Messages->QWK
     o  You can now configure whether or not the sysop should be displayed
        in the who's online list
     o  while users are in a door, you can display what type of door is
        running by making a userdoes.<node> file in the ezycom system path.
        this should be a plain text file, and the first line should say
        what type of door it is.  The door name should only be 20 characters
        long maximum!  This will tell other users what sort of door the user
        is running.
     o  a new switch in config->netmisc exists to allow you to make
        binkley out, dut, cut, iut, hut type mail for direct, crash,
        immediate, hold style mail.
     o  in ezypack, you can now add a switch called -FATTACH, which will
        make ezypack handle file attachs/requests .msg and convert them
        into binkley format (if using binkley).
     o  Added a new feature to the random function in the questionnaire
        language.  You can now use a variable to say how big the random
        value should go up to.
        Eg: RANDOM <#varnum>|<number> <varnum>
     o  A new file area maintenance program has been written called
        EzyFile.  It replaces EzyMaint.
        Command Line Options
        -PACK   Pack File Area (removes extra space used by
                old descriptions)
        -SORT   Sort file areas by the method selected for each area
        -OFFLINE Make all files that can not be found OFFLINE no matter
                 how config is set (also brings offline files back
                 online if found)
        -DELPATH as above, but will mark files not found deleted if they do not
                 exist, if the path they should be in DOES exist.
        -DELNOPATH as above, but will mark files not found delete if they do
                 not exist no matter what
        -UPDATE  update the file sizes and dates of online files
        -FROM<area>   Make ezyfile start at a particular area (default 1)
        -TO<area>     Make ezyfile finish at a particular area (default last area)

        -OFFLINE -DELPATH and -DELNOPATH are mutually exclusive.  That is,
        they can NOT be used together.  Use one of them, not all of them.
     o  Increased maximum description length to 2048 characters.
     o  changed around the screen positioning of todays callers
     o  increased netmail akas to 20.
  *  o  added a new questionnaire condition to the IF statement
        to test to see if the a variable is numeric or not.
        Syntax: IF ISNUMERIC <varnum>
                 ....
        The condition would return TRUE if the variable is a numeric
        value (contains no letters of the alphabet)
        eg: IF ISNUMERIC 10
                DISPLAY "Numeric Value"
            ELSE
                DISPLAY "Not Numeric Value"
            ENDIF
        (Registered Versions Only)
  *  o  Added a New Questionnaire Command to check how valid a credit
        card number is.
        Format:
        CreditCard <credit card var num>  <credit card name var num>
        It actually places the NAME
        AMEX      - American Express
        DINERS    - Diners Club
        VISA      - VISA
        MASTER    - Master Card
        DISCOVERY - Discovery

        If the number is invalid, then the variable will be BLANK (no length).

        eg:
        ASK 20 1
        CREDITCARD 1 2
        IF 2 = ""
           DISPLAY "That is not a valid Credit Card|"
        ELSE
           DISPLAY "Credit Card Entered is "
           LISTANSWER 2
        ENDIF

        (Registered Versions Only)
     o  added SETPAGELOGON ON|OFF|TOGGLE to the questionnaire commands
        it toggles the uses page at logon status
        eg: SETPAGELOGON ON
     o  added a questionnaire command to pause for x seconds
        Format: PAUSE <Time in Seconds>
        PAUSE 10
        will pause for 10 seconds
        Note: Maximum Time allowable is 59 seconds
     o  in qwkmail, when a user adds/drops a conference, ezyqwk now
        also looks for messages to QMAIL as well as EZYQWK
     o  to download in qwkmail now it actually looks at the maximum
        number of messages * 2 + 50 Kilobytes free required to allow
        the download
     o  in the SETVARS questionnaire command, you could do various
        * commands, since it can also do ctrl commands, there is no
        need for the * commands to be there.  They have been now removed
        for efficiency reasons.  The only remaining one is *E
     o  added colour to the filebase descriptions
        turn it on in config->FileMisc
        and then using the Rumour Colour Codes (eg |Y etc), you can
        change the colours for the descriptions
     o  added SETPAGELOGON ON|OFF|TOGGLE to the questionnaire commands
        it toggles the users page at logon status
        eg: SETPAGELOGON ON
     o  fedit has been totally recoded... see docs for usage




Problems fixed in 1.10

     o  fixed a bug in initilization.  the netmail boards were
        incorrectly set to 0.  making a runtime error if you tried
        to reply in echomail areas.  Although as soon as you changed
        them to their correct number it would be ok.
     o  fixed a bug in rescanning echomail with the %+ALL command
     o  fixed a bug in ezynet with the -ALL and -R on the subject
        line
     o  fixed a bug on converting lastread pointers for a different
        amount of message boards.  anything over 400, would have the
        pointers come out is pure random values.  Although, as soon
        as the message board was packed, it would be fine.
     o  Ezyutil message importer, now correctly handles the private bit
     o  when in the multiline chat, and you just pressed spaces, and
        then return, it exited the chat... fixed
     o  when scanning/quick scanning messages, it updated the lastread
        pointers... fixed
     o  in config->events if you pressed P to pick an event, it would
        not update the lastrun field
     o  fixed a bug in install not correctly making constant.ezy
     o  fixed a bug in %PAUSE %RESUME in areafix requests.  It was
        backwards.
     o  fixed a bug in ezyutil message importer.  when importing into
        a netmail board, it placed an INTL line in there.  Meaning that
        the message was exported with 2 INTL lines.
     o  fixed a bug where under some circumstances ezycom would not
        delete ezyex???.???.
     o  fixed a problem if dupe detection was not turned on.
     o  In binkley support, if you were receiving a mail bundle,
        while running ezymail, it would get an error trying to
        unarchive the mail in it.  It now ignores the mail bundle.
     o  in user to user chat, if a user sent a message to a negative
        node (eg: /msg -1), ezycom would exit with an error.  Ezycom
        now tells the user it is an invalid node.
     o  fixed a bug in uploading messages where it would not accept
        files that had tab characters in them... it now expands them to
        the equivalent spaces for the message

Problems fixed in 1.10 Gammas Bugs fixed
     o  fixed deleting message areas in config removing the actual files
     o  fixed a bug in adding rumours, adding the rumours twice
     o  fixed a bug with terminate after upload where it would not allow
        you do it, unless you predefined descriptions..
     o  fixed a bug when moving files that are read only
     o  fixed the bug in ezyutil -rumourold deleting all rumours
     o  fixed upload dupe detection
     o  fixed a bug in ezypack not placing TOPT on netmails when
        they had a domain for points
     o  fixed a bug with fedit not correctly updating the fast find
        index after moving/deleting files
     o  fixed a bug in ezynode sometimes using old nodelist files
     o  fixed a bug in ezynode when nodelist files were missing
     o  fixed displaying of US dates in fedit

